DEP-14-CONVERT-GIT-BRANCH-NAMES(1)

NAME
dep-14-convert-git-branch-names - Convert git repository branch names to follow DEP-14.

DESCRIPTION
This helper tool assists in renaming the branch names by printing the necessary git commands for local repository and salsa commands remote repository to rename the branches and to update the default git branch. It also prints commands to create a gbp.conf with matching branch names.

As this script does not actually modify anything, so feel free to run this script in any Debian packaging repository to see what it outputs. Renaming is needed as git defaults to 'main' as the branch name. Previously git used 'master', and git-buildpackage still used 'master' as the branch name. This is not ideal for Debian packaging, as using the same default development branch names as upstream projects typically do may lead into branch name conflicts.

The DEP-14 (https://dep-team.pages.debian.net/deps/dep14/, status: candidate) states:

  In Debian this means that uploads to unstable and experimental should be
  prepared either in the debian/latest branch or respectively in the
  debian/unstable and debian/experimental branches.

and:

  The helper tools that do create those repositories should use a command like
  git symbolic-ref HEAD refs/heads/debian/latest to update HEAD to point to the
  desired branch.

SYNOPSIS
dep-14-convert-git-branch-names [options]

Options:

--packaging-branch <name>
    Branch for main packaging (e.g. 'debian/latest')

--debug
    Display debug information while running

-h, --help
    Display this help message

--version
    Display version information

SEE ALSO
DEP-14: https://dep-team.pages.debian.net/deps/dep14/